> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-3-2.md).

# Version 6.3.2

Discover the latest features and enhancements in PDFNet 6.3.2, including new tools, improved bookmarks, and text annotation resizing. Check out the release notes for more details! The Apryse iOS SDK s

Release Date: 2014.11.03

*Note: PDFNet 6.3.2 is compiled using Xcode 6.0.1. Please ensure your project is compiled with the version of LLVM/Clang that shipped with Xcode 6.0.1 or greater.*

* Includes the changes for 6.3 that were included in our desktop SDKs: [https://docs.apryse.com](https://docs.apryse.com/)
* All PDFNet classes are now prefixed with PT to avoid naming conflicts with other libraries. All future releases will include this change.
* Tools improvements
  * New Bookmarks control that allows user create bookmarks.
  * Scrolling with two fingers is now possible when annotating.
  * An eraser tool that can be used to erase freehand annotations.
  * Text annotations (highlights, strikethroughs, underlines, squiggly underlines) can now be resized after they are created.
  * Text annotations type can now be changed, i.e. a highlight can be changed to an underline, a strikeout to a highlight, etc.
  * Annotations can now be edited while in an annotation creation mode. For example if you are in text highlight mode, tapping on another highlight will allow you to edit it, and then dragging across new text will highlight it, reducing the need to go back to the toolbar to change modes.
  * New @3x image assets.
* Updated and enhanced the Complete Reader sample for iOS 8 and the iPhone 6 (Plus), and the.new tools.
* Support for converting Office documents to PDF with new PTConvert method convertOfficeToPDF:completion:. Note that this method uses a UIWebView under the hood, so purchase of the Convert Add-on is not required, but we are not able to control conversion quality (which will be the same as other apps that use a UIWebView for this purpose).
* New Swift sample project that shows how to use PDFNet from a Swift project using a bridging header.
* New C++ sample project showing how to use PDFNet's C++ interface (useful for writing cross-platform PDF manipulation code).
* Framework available split into two (one for device (armv7, armv7s, arm64) and another for simulator (i386 and x86\_64) that are less than 100 MB and hence can be committed to GitHub.
* Bug fixes

Changed Methods

{% tabs %}
{% tab title="sh" %}
{% code lineNumbers="true" %}

````sh
- (PTAnnot*)GetAnnotationAt: (int)x y:  (int)y distanceThreshold:  (double)distanceThreshold minimumLineWeight:  (double)minimumLineWeight;```

New Methods:
PDFViewCtrl:
````

{% endcode %}

{% endtab %} {% endtabs %}

-(void)SetColorPostProcessMode:(PTColorPostProcessMode)mode; -(PTColorPostProcessMode)GetColorPostProcessMode; -(void)setMinimumTwoFingersToScrollEnabled:(bool)enabled; -(void)UpdateWithField:(PTField\*)field;

{% tabs %} {% tab title="sh" %}

{% code lineNumbers="true" %}

```sh
PTConvert:
```

{% endcode %}
{% endtab %}
{% endtabs %}

+(void)convertOfficeToPDF:(NSString\*)filePath completion:(void(^)(NSString\* pathToPDF))completion


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-3-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
